Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #84 (assigned task)

Opened 17 years ago

Last modified 16 years ago

SVN commit guidelines for developers

Reported by: mrenzmann Assigned to: mrenzmann (accepted)
Priority: minor Milestone:
Component: madwifi: documentation Version:
Keywords: Cc:
Patch is attached: Pending:

Description

Describe some general rules for developers who contribute directly to the repository. Such as "always use the comment to give a short description of your changes", "refer to ticket numbers where appropriate", "one commit per (logical) changeset".

Change History

10/31/05 08:15:25 changed by mrenzmann

  • status changed from new to assigned.

11/29/05 18:33:14 changed by mrenzmann

Remind developers of DevDocs/SigningPatches.

11/30/05 11:36:04 changed by kelmo

Could you also please document the best way to request for comments/discussion on a patch?

Also comment on reasonable time periods before a patch submitted by a developer with archive access is held up for discussion before commit.

11/30/05 11:56:43 changed by mrenzmann

Note to self:

Use madwifi-devel if you expect a longish discussion. Otherwise filing a ticket might work as well (maybe with a short note to madwifi-devel for requesting comments). Wait at least 3-4 days for comments. After that period: drop patch, renew your request once, announce that it will be committed if no one objects during the next 3-4 days, ... depends on you and your feeling on your patch.